Version:

  • 2.0.0

Release date:

  • 27 January 2022

First released:

  • 10 December 2021

License:

  • BSD 3-Clause License

Supported data:

  • Information not submitted

GitHub activity:

  • Stars: 3
  • Forks: 0
  • Issues + PRs: 1

Python versions supported:

  • >=3.7

Operating system:

  • OS Independent

Requirements:

  • vollseg
  • tensorflow-gpu (==2.7.0)
  • napari (>=0.4.9)
  • typing-extensions (>=3.10.0.0magicgui>=0.3.0)

vollseg-napari

Irregular cell shape segmentation using VollSeg


    PyPI version

    This project provides the napari plugin for VollSeg, a deep learning based 2D and 3D segmentation tool for irregular shaped cells. VollSeg has originally been developed (see papers) for the segmentation of densely packed membrane labelled cells in challenging images with low signal-to-noise ratios. The plugin allows to apply pretrained and custom trained models from within napari.

    Installation & Usage

    Install the plugin with pip install vollseg-napari or from within napari via Plugins > Install/Uninstall Package(s)…. If you want GPU-accelerated prediction, please read the more detailed installation instructions for VollSeg.

    You can activate the plugin in napari via Plugins > VollSeg: VollSeg. Example images for testing are provided via File > Open Sample > VollSeg.

    If you use this plugin for your research, please cite us.

    GPU_Installation

    This package is compatible with Python 3.6 - 3.9.

    1. Please first install TensorFlow

    (TensorFlow 2) by following the official instructions. For GPU support, it is very important to install the specific versions of CUDA and cuDNN that are compatible with the respective version of TensorFlow. (If you need help and can use conda, take a look at this.)

    1. VollSeg can then be installed with pip:

      • If you installed TensorFlow 2 (version 2.x.x):

        pip install vollseg

    Troubleshooting & Support

    • The image.sc forum is the best place to start getting help and support. Make sure to use the tag vollseg, since we are monitoring all questions with this tag.
    • If you have technical questions or found a bug, feel free to open an issue.

    Version:

    • 2.0.0

    Release date:

    • 27 January 2022

    First released:

    • 10 December 2021

    License:

    • BSD 3-Clause License

    Supported data:

    • Information not submitted

    GitHub activity:

    • Stars: 3
    • Forks: 0
    • Issues + PRs: 1

    Python versions supported:

    • >=3.7

    Operating system:

    • OS Independent

    Requirements:

    • vollseg
    • tensorflow-gpu (==2.7.0)
    • napari (>=0.4.9)
    • typing-extensions (>=3.10.0.0magicgui>=0.3.0)

    Version:

    • 2.0.0

    Release date:

    • 27 January 2022

    First released:

    • 10 December 2021

    License:

    • BSD 3-Clause License

    Supported data:

    • Information not submitted

    GitHub activity:

    • Stars: 3
    • Forks: 0
    • Issues + PRs: 1

    Python versions supported:

    • >=3.7

    Operating system:

    • OS Independent

    Requirements:

    • vollseg
    • tensorflow-gpu (==2.7.0)
    • napari (>=0.4.9)
    • typing-extensions (>=3.10.0.0magicgui>=0.3.0)

    Sign up to receive updates